--- a/ifxmips_ptm_adsl.c
+++ b/ifxmips_ptm_adsl.c
@@ -175,9 +175,11 @@ static INLINE void mailbox_signal(unsign
  */
 static INLINE void proc_file_create(void);
 static INLINE void proc_file_delete(void);
+#if defined(ENABLE_DBG_PROC) && ENABLE_DBG_PROC
 static int proc_read_version(char *, char **, off_t, int, int *, void *);
 static int proc_read_wanmib(char *, char **, off_t, int, int *, void *);
 static int proc_write_wanmib(struct file *, const char *, unsigned long, void *);
+#endif
 #if defined(ENABLE_FW_PROC) && ENABLE_FW_PROC
   static int proc_read_genconf(char *, char **, off_t, int, int *, void *);
 #endif
@@ -889,6 +891,7 @@ static INLINE void proc_file_delete(void
     remove_proc_entry("driver/ifx_ptm", NULL);
 }
 
+#if defined(ENABLE_DBG_PROC) && ENABLE_DBG_PROC
 static int proc_read_version(char *buf, char **start, off_t offset, int count, int *eof, void *data)
 {
     int len = 0;
@@ -963,8 +966,9 @@ static int proc_write_wanmib(struct file
 
     return count;
 }
+#endif
 
-#if defined(ENABLE_FW_PROC) && ENABLE_FW_PROC
+#if defined(ENABLE_FW_PROC) && ENABLE_FW_PROC && defined(ENABLE_DBG_PROC) && ENABLE_DBG_PROC
 
 static int proc_read_genconf(char *page, char **start, off_t off, int count, int *eof, void *data)
 {
